SessionIDMessage (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.session.SessionIDMessage class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.session
Class SessionIDMessage

    java.lang.Object
      org.apache.catalina.ha.ClusterMessageBase
          org.apache.catalina.ha.session.SessionIDMessage

All Implemented Interfaces:
  java.io.Serializable, ClusterMessage

    public class SessionIDMessage

extends ClusterMessageBase
implements ClusterMessage

Session id change cluster message

Version:
  $Revision: 531471 $ $Date: 2007-04-23 16:11:44 +0200 (Mon, 23 Apr 2007) $
Author:
  Peter Rossbach
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.ha.ClusterMessageBase
`address`

Constructor Summary
`SessionIDMessage()`

Method Summary
`java.lang.String` | `getBackupSessionID()`
`java.lang.String` | `getContextPath()`
`java.lang.String` | `getHost()`
`int` | `getMessageNumber()`
`java.lang.String` | `getOrignalSessionID()`
`java.lang.String` | `getUniqueId()`
`void` | `setBackupSessionID(java.lang.String backupSessionID)`
`void` | `setContextPath(java.lang.String contextPath)`
`void` | `setHost(java.lang.String host)`
`void` | `setMessageNumber(int messageNumber)`
`void` | `setOrignalSessionID(java.lang.String orignalSessionID)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.catalina.ha.ClusterMessageBase
`getAddress, getTimestamp, setAddress, setTimestamp, setUniqueId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.catalina.ha.ClusterMessage
`getAddress, getTimestamp, setAddress, setTimestamp, setUniqueId`

Constructor Detail

### SessionIDMessage

    public SessionIDMessage()

Method Detail

### getUniqueId

    public java.lang.String getUniqueId()

  Specified by:
    `getUniqueId` in interface `ClusterMessage`
  Overrides:
    `getUniqueId` in class `ClusterMessageBase`

### getHost

    public java.lang.String getHost()

  Returns:
    Returns the host.

### setHost

    public void setHost(java.lang.String host)

  Parameters:
    `host` - The host to set.

### getContextPath

    public java.lang.String getContextPath()

  Returns:
    Returns the contextPath.

### setContextPath

    public void setContextPath(java.lang.String contextPath)

  Parameters:
    `contextPath` - The contextPath to set.

### getMessageNumber

    public int getMessageNumber()

  Returns:
    Returns the messageNumber.

### setMessageNumber

    public void setMessageNumber(int messageNumber)

  Parameters:
    `messageNumber` - The messageNumber to set.

### getBackupSessionID

    public java.lang.String getBackupSessionID()

  Returns:
    Returns the backupSessionID.

### setBackupSessionID

    public void setBackupSessionID(java.lang.String backupSessionID)

  Parameters:
    `backupSessionID` - The backupSessionID to set.

### getOrignalSessionID

    public java.lang.String getOrignalSessionID()

  Returns:
    Returns the orignalSessionID.

### setOrignalSessionID

    public void setOrignalSessionID(java.lang.String orignalSessionID)

  Parameters:
    `orignalSessionID` - The orignalSessionID to set.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.